# Computer-Controlled Cutting

## Laser Cutting

Group assignment:
* characterize your lasercutter's focus, power, speed, rate, kerf, and joint clearance

Individual assignment:
* Design, lasercut, and document a **parametric press-fit construction kit**, which can be assembled in multiple ways. Account for the lasercutter kerf.
* For **extra credit** include elements that aren't flat.

### Learning outcomes

* Demonstrate and describe parametric 2D modelling processes
* Identify and explain processes involved in using the laser cutter.
* Develop, evaluate and construct the final prototype

### Have you?

* Explained how you parametrically designed your files
* Shown how you made your press-fit kit
* Included your design files and photos of your finished project

## Vinyl Cutting

There is no specific project that is focussed on this very useful tool. There are a range of ways you might utilise it throughout the programme, or your local 
instructor may set a specific project. You might make:

* stickers
* flexible circuit boards
* a textured surface/relief pattern
* screenprint resists/stencils

Ensure that you have used it in some way during this time and met the objectives below.

### Learning outcomes

* Identify and explain processes involved in using this machine.
* Design and create the final object

### Have you?

* Explained how you drew your files
* Shown how you made your vinyl project
* Included your design files and photos of your finished project

## FAQ

### What does *characterise* mean?
Answer: Describe/understand the nature and features (of your particular laser cutter)

### Can I use the Inkscape clone tool for my pressfit kit?
Answer: No. The clone tool is not a real parametric software.

### Is it compulsory to design my own file in Vinyl cutting?
Answer: Yes. Or modify existing one, and acknowledge where you found it.

