# Electronics Design

## Electronics Design

Group assignment:
* Use the test equipment in your lab to observe the operation of a microcontroller circuit board

Individual assignment:
* Redraw the echo hello-world board, add (at least) a button and LED (with current-limiting resistor), check the design rules, make it (_if you have time this week, test it_).
Extra credit: 
* Simulate its operation. Render it.

### Learning outcomes

* Select and use software for circuit board design
* Demonstrate workflows used in circuit board design

### Have you?

* Shown your process using words/images/screenshots
* Explained problems and how you fixed them, including how you worked with design rules for milling (DRC in EagleCad and KiCad)
* Included original design files (Eagle, KiCad, Inkscape, .cad - whatever)

## FAQ

### Can I modify an existing design board?
Answer: Yes as long as you acknowledge the original design and explain your contribution to the board.
### Do I need to create a schematic file?
Answer: If your software does not generate it no, otherwise yes. You can draw or use kokopelli which does not create schematic files.

