# Electronics Production

## Electronics Production

> **Important note:** As outlined in the [Commercial Boards policy](http://fabacademy.org/2019/docs/FabAcademy-Assessment/commercial_board_policy.html), fabbing your own boards is an important part of Fab Academy. The 'fabbest' way to do this, is by milling your FR1 boards via Fab Modules or Mods.

Group assignment:
* Characterize the **design rules** for your PCB production process

Individual assignment: 
* Make an in-circuit programmer by **milling** the PCB, program it, then optionally, trying other processes.

### Learning outcomes

* Described the process of milling, stuffing, de-bugging and programming
* Demonstrate correct workflows and identify areas for improvement if required

### Have you?

* Shown how you made and programmed the board
* Explained any problems and how you fixed them
* Included a ‘hero shot’ of your board

## FAQ

### Does the FabISP need to work to complete the assignment?
Answer: Yes. By, the end of Embedded Programming week. Because you will program your board from Electronics Design week with it. It is highly recommended that you attempt it this week and explain ALL the debugging that you did to try to find out problems.
### Can we use the locally compiled version of Fab modules to mill PCBs and moulds?
Answer: There are no requirements for what you use for CAD and CAM, and certainly not to use mods. Having said that, the mods algorithms are more efficient than the older fab modules, so something's wrong if they're taking more time for you. And mods is easier to configure, and shows the internals of the algorithms, so Neil recommends getting set up to use them.

