# Embedded Programming

## Embedded Programming

Group assignment:
* Compare the performance and development workflows for other architectures

Individual assignment:
* Read a microcontroller [data sheet](http://academy.cba.mit.edu/classes/embedded_programming/doc8183.pdf).
* Program your [board](http://academy.cba.mit.edu/classes/electronics_design/index.html) to do something, with as many different programming languages and programming environments as possible.

### Learning outcomes

* Identify relevant information in a microcontroller data sheet.
* Implement programming protocols.

### Have you?

* Documented what you learned from reading a microcontroller datasheet.
* What questions do you have? What would you like to learn more about?
* Programmed your board
* Described the programming process/es you used
* Included your code

## FAQ

### If I adjust existing code, is that now my code?
Answer: If you use someone's else code as a starting point, remember that you must acknowledge whoever made it. See [General Essentials](http://fabacademy.org/2018/docs/FabAcademy-Assessment/general_essentials.html). To succeed in this project, experiment with changing the code, understand how that worked, and write your own.
### How do I prove I've read the Data Sheet?
Answer: Point out things in your code and board design that you learnt from the Data Sheet. Also point to other weeks when you used a Data Sheet.
### How should I put my code on my website?
Answer: As a file for download, same as all your other assignments. Keep your webpage tidy and easy to read.

