# Moulding and Casting

## Moulding and Casting

Group assignment:
* Review the safety data sheets for each of your molding and casting materials
* Make and compare test casts with each of them

Individual assignment:
* Design a 3D mould around the stock and tooling that you'll be using, [mill](https://en.wikipedia.org/wiki/Machining) it (rough cut + (at least) three-axis finish cut), and use it to cast parts.

### Learning outcomes

* Design appropriate objects within the limitations of 3 axis machining
* Demonstrate workflows used in mould design, construction and casting

### Have you?

* Explained how you made your files for machining
* Shown how you made your mould and cast the parts
* Described problems and how you fixed them
* Included your design files and ‘hero shot’ photos of the mould and the final object
* Reviewed the safety data sheets for each of your molding and casting materials, then made and compared test casts with each of them

## FAQ

### Should I read the MSDS and TDS this week?
Answer: Yes, always.
### I want to only make a wax mould, and cast something in it - is that acceptable?
Answer: Only after you learn and go through the 3 step process. To break the rules, you have to master the rules.
### Can I 3D print the mold? Can I do a lasercut?
Answer: No, for this assignment you must mill the mould using a CNC milling machine. After fulfilling the requirements, please go ahead and experiment other techniques for fabricating moulds.

