# 3D Scanning and Printing

## 3D Scanning and Printing

Group assignment:
* Test the design rules for your printer(s)

Individual assignment:
* Design and 3D print an object (small, few cm3) that could not be made subtractively
* 3D scan an object (and optionally print it)

### Learning outcomes

* Identify the advantages and limitations of 3D printing and scanning technology
* Apply design methods and production processes to show your understanding.

### Have you?

* Described what you learned by testing the 3D printers
* Shown how you designed and made your object and explained why it could not be made subtractively
* Scanned an object
* Outlined problems and how you fixed them
* Included your design files and ‘hero shot’ photos of the scan and the final object

## FAQ

### Define ‘cannot be made subtractively’
Answer: Your model has [undercuts](https://en.wikipedia.org/wiki/Undercut_(manufacturing)), overhangs or nested parts

