# Embedded Networking and Communications

## Embedded Networking and Communications

Group assignment:
* Send a message between two *projects* (assignments made by different students)

Individual assignment:
* design, build, and connect wired or wireless node(s) with network or bus addresses

### Learning outcomes

* Demonstrate workflows used in network design and construction
* Implement and interpret networking protocols

### Have you?

* Described your design and fabrication process using words/images/screenshots.
* Explained the programming process/es you used.
* Outlined problems and how you fixed them
* Included original design files and code

## FAQ

### Can we use arduino/commercial boards for networking?
Answer: You can not use Arduino or similar commercial microcontroller boards. You can use a commercial wireless module in your own PCB. For this week, you can use the original satcha-kit/fab-kit/fabduino.
### Must each board have a unique identity?
Answer: It does not have to be hard-coded but you must use some form of addressing.

