# Project Management

## Project Management

* Build a personal site describing you and your final project.
* Upload it to the class archive. 
* Work through a git tutorial.

### Learning outcomes

* Explore and use website development tools
* Identify and utilise version control protocols

### Have you?

* Made a website and described how you did it
* Introduced yourself
* Documented steps for uploading files to archive
* Pushed to the class archive
* Signed and uploaded [Student Agreement](https://gitlab.fabcloud.org/academany/fabacademy/2019/site/blob/master/doc/students.md)

## FAQ

### Is it OK to use someone else’s template to create my website?
Answer: Yes, if you acknowledge other people’s work. Show you understand how the template works by describing/changing parts of it.
### Can I host photos and files outside the archive?
Answer: No. Photos should be resized, compressed and stored in the archive. Large files can be hosted externally, but they should not be essential to evaluate your work. See [General Essentials](http://fabacademy.org/2019/docs/FabAcademy-Assessment/general_essentials.html). Remember that The Global Evaluation team should be able to pull and then assess your work offline.
### What size should my website be?
Answer: In the order of tens of megabytes. Ideally growing at an average rate of 1-2 Mb per week. Read the [General Essentials](http://fabacademy.org/2019/docs/FabAcademy-Assessment/general_essentials.html). Compress, resize, etc.
