# Wildcard

## Wildcard

* Design and produce something with a digital fabrication process (incorporating computer-aided design and manufacturing) not covered in another assignment, documenting the requirements that your assignment meets, and including everything necessary to reproduce it. Possibilities include (but are not limited to [composites](http://academy.cba.mit.edu/classes/composites/index.html), [textiles](http://textile-academy.org/), [biotechnology](http://bio.academany.org/), [robotics](https://www.google.com/search?q=robotic+construction&source=lnms&tbm=isch), [folding](http://osme.info/), and [cooking](http://digitalgastronomy.co/).

### Learning outcomes

* Demonstrate workflows used in the chosen process
* Select and apply suitable materials and processes to create your project.

### Have you?

* Shown how you made your project
* Described problems and how you fixed them
* Included your design files and ‘hero shot’ photos of the project

## FAQ

### Can I make the assignment by hand?
Answer: Although there can be manual processing steps, to count as digital fabrication the workflow should pass through design in a computer and some kind of automated output process. So programming the embroidery of circuits would count, but hand-stitching them wouldn't. 

